﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using Telerik.Windows.Controls.GridView;

namespace SingleGroupFooter
{
    public class MyGroupFooterTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var template = new DataTemplate();
            var row = (container as GridViewGroupFooterCell).ParentRow as GridViewGroupFooterRow;
            var groupName = (row.Group as CollectionViewGroup).Name;
            var textBlock = new FrameworkElementFactory(typeof(TextBlock));
            textBlock.SetValue(TextBlock.TextProperty, groupName + " subtotal");
            template.VisualTree = textBlock;
            template.Seal();
            return template;
        }
    }
}
